# TerraformerState Struct Reference

## Data Fields
int | modheight_count
| amount of entries in "modheight".
int | tile_table_count
| amount of entries in "tile_table".
TileIndex | tile_table [TERRAFORMER_TILE_TABLE_SIZE]
| Dirty tiles, i.e. at least one corner changed.
TerraformerHeightMod | modheight [TERRAFORMER_MODHEIGHT_SIZE]
| Height modifications.

## Detailed Description

Definition at line 42 of file terraform_cmd.cpp.

The documentation for this struct was generated from the following file:

- src/terraform_cmd.cpp